Skip to Content

PATCH Items

Gebruik dit endpoint om bestaande items bij te werken.

Gebruikersniveau: Gevorderd

Endpoint

PATCH /v1/{scopeId}/items/{id}
EigenschapWaarde
MethodPATCH
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:items:write
Content-Typeapplication/json
Request bodyJSON object

Update-regels

  • De API controleert server-side of het record binnen de toegestane organization en branch valt.
  • Dit is een branch-or-null resource, maar de PATCH-call gebruikt nog steeds een branch UUID in {scopeId}.
  • Alleen expliciet toegestane velden mogen worden bijgewerkt.
  • Onbekende of niet-toegestane velden geven 400 invalid_update.

Toegestane updatevelden

Veld
name
description
item_type
status
default_ldm

Voorbeeldrequest

curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/items/d021bce1-a12b-462f-9d77-9fe0c2b55959" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "status": "active", "default_ldm": 0.4 }'

Voorbeeldresponse

{ "data": { "id": "d021bce1-a12b-462f-9d77-9fe0c2b55959", "name": "Pallet transport", "description": "Standard pallet shipment item", "item_type": "service", "status": "active", "default_ldm": 0.4 }, "version": "v1" }

Foutresponse

{ "error": "invalid_update", "error_description": "One or more fields are not allowed for updates on items" }

Mogelijke foutcodes

  • 400 invalid_request
  • 400 invalid_update
  • 401 unauthorized
  • 401 invalid_token
  • 403 invalid_token_type
  • 403 insufficient_scope
  • 404 not_found
  • 405 method_not_allowed

Gerelateerde pagina’s

  • Items GET
  • API calls en voorbeelden
  • Setup guide
Last updated on